# Builder
ARG BUILDER_IMAGE
FROM ${BUILDER_IMAGE} AS builder

# Destination image - server
# FROM gcr.io/distroless/base-debian10
FROM alpine:3.17

ARG SVC_NAME
ARG SVC_VER
ARG BIN_OUTPUT
ARG BUILD_TIME

LABEL dev.egommerce.image.author="Piotr Biernat"
LABEL dev.egommerce.image.vendor="Egommerce"
LABEL dev.egommerce.image.service=${SVC_NAME}
LABEL dev.egommerce.image.version=${SVC_VER}
LABEL dev.egommerce.image.build_time=${BUILD_TIME}

WORKDIR /
COPY --from=builder $BIN_OUTPUT /app
COPY --from=builder /go/bin/migrate /bin/go_migrate
COPY .env.dist /.env
COPY ./bin /bin
RUN chmod 755 /bin/entrypoint.sh /bin/migrate.sh

EXPOSE 80

CMD ["sh", "-c", "/app"]
ENTRYPOINT ["entrypoint.sh"]
